# Uses of Interface
org.eclipse.jface.action.IMenuCreator

Packages that use IMenuCreator
Package
Description
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.ui.internal
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IMenuCreator in org.eclipse.debug.ui.actions

Classes in org.eclipse.debug.ui.actions that implement IMenuCreator
Modifier and Type
Class
Description
`class`
`ContextualLaunchAction`
An action delegate that builds a context menu with applicable launch shortcuts for a specific launch mode.
`class`
`LaunchAsAction`
Deprecated.
The use of perspective based launch shortcuts has been deprecated in the 3.1 release.
`class`
`LaunchShortcutsAction`
A cascading sub-menu that shows all launch shortcuts pertinent to a selection.
`class`
`RulerBreakpointTypesActionDelegate`
Deprecated.
Should use BreakpointTypesContribution instead.

## Uses of IMenuCreator in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return IMenuCreator
Modifier and Type
Method
Description
`IMenuCreator`
Action.`getMenuCreator()`
`IMenuCreator`
IAction.`getMenuCreator()`
Returns the menu creator for this action.
Methods in org.eclipse.jface.action with parameters of type IMenuCreator
Modifier and Type
Method
Description
`void`
Action.`setMenuCreator(IMenuCreator creator)`
Sets the menu creator for this action.
`void`
IAction.`setMenuCreator(IMenuCreator creator)`
Sets the menu creator for this action.

## Uses of IMenuCreator in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IMenuCreator
Modifier and Type
Method
Description
`IMenuCreator`
PluginAction.`getMenuCreator()`

## Uses of IMenuCreator in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IMenuCreator
Modifier and Type
Method
Description
`IMenuCreator`
TextNavigationAction.`getMenuCreator()`
Methods in org.eclipse.ui.texteditor with parameters of type IMenuCreator
Modifier and Type
Method
Description
`void`
TextNavigationAction.`setMenuCreator(IMenuCreator creator)`